Workflows
Revoke a share
Remove a workflow share. Users may remove their own share; removing someone else's requires share permission.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
workflow_id*string
Resource identifier: workflow_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Idempotency-Key*string
A unique key for this intended write. Reuse it only for an identical retry.
Length
1 <= length <= 200Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X DELETE "https://example.com/workflows/123e4567-e89b-42d3-a456-426614174000/shares/123e4567-e89b-42d3-a456-426614174000" \ -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"{ "items": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "user": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "role": "ADMIN", "created_at": "2026-09-04T12:00:00Z" } ]}